Table of Contents

Class: Session | Twisted-0.19.0/twisted/web/server.py
--- | ---
### A user's session with a system. This utility class contains no functionality, but is used to represent a session.
Methods |
--- | ---
__init__ checkExpired expire notifyOnExpire touch
| __init__
    __init__ (
            self,
            site,
            uid,
            )
Initialize a session with a unique ID for that session.
| checkExpired
    checkExpired ( self )
| expire
    expire ( self )
Expire/logout of the session.
| notifyOnExpire
    notifyOnExpire ( self,  callback )
Call this callback when the session expires or logs out.
| touch
    touch ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:39 2002 by HappyDoc version 2.0